//
// C++ Interface: userinterface
//
// Description: 
//
//
// Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef OSD_USERINTERFACE_
#define OSD_USERINTERFACE_

#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include <vdr/thread.h>


class cUserInterface : public cOsdMenu, cThread
{
private:

protected:
    void BuildMenu();
    virtual void Activate(bool On);
    virtual void Action(void);
public:
    cUserInterface(void);
    ~cUserInterface();
    virtual eOSState ProcessKey(eKeys Key);

};


#endif /*OSD_USERINTERFACE_*/
